This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 707546 - Unable to rename folder
Unable to rename folder
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
15
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 07:44 EDT by Bill C. Riemers
Modified: 2015-03-03 18:00 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:46:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 646900 None None None Never

  None (edit)
Description Bill C. Riemers 2011-05-25 07:44:58 EDT
Description of problem:

So I took a few screen shots.  Then I wanted to move them into a new folder.   So I opened nautilus and navigated to Pictures.   I then right click to create a new folder.  Great, now I have a folder named "Untitled Folder".   So I right click on that folder, and select "rename".   The folder is highlighted, but when I type anything the folder name is not changed.   Instead nautilus appears to use my key strokes for navigation.   No matter what I try, I am unable to change the name of the folder from within nautilus.

To me this problem is so severe, it is a complete show stopper for using GNOME 3 under Fedora 15.   Granted, I can drop to a terminal window and rename the folder, but most of the people I would want to recommend to use this are not comfortable doing anything in a terminal without explicit directions every time.


Version-Release number of selected component (if applicable):

nautilus-3.0.1.1-1.fc15.x86_64


How reproducible:

100%

Steps to Reproduce:
1. Open nautilus to a folder with lots of files.
2. Create a new folder.
3. Try and rename that folder.
  
Actual results:

Rename is focused on the icon, with the keyboard still controlling navigation.

Expected results:

Rename should place the focus on the filename, and it can be changed.

Additional info:
Comment 1 Bill C. Riemers 2011-05-25 07:47:23 EDT
Note: This bug seems related to 702142.   Only in that bug, somehow the user managed to actually rename the file despite the navigation focus.  I cannot even get nautilus to do that, so there must have been a further regression since that bug was filed!
Comment 2 Elad Alfassa 2011-05-25 11:46:28 EDT
Might be https://bugzilla.gnome.org/show_bug.cgi?id=646900



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Bill C. Riemers 2011-05-25 17:32:18 EDT
I tried other folders, but I did not see the same problem.  I copied my Pictures folder with a cp -a command to Pictures2 and that presented the same problem.  If I deleted any file in the folder, then the problem no longer occurred.  I resized the window, and now to only does in not occur in copies of the folder, but it does not occur in the original either.

I notice one time when I went to rename, the edit box did appear, but it appeared below the bottom of the window...   Other times I did not see the edit box at all.

More experimenting demonstrates the problem comes and goes with resizing the window.   is it looks like it is dependant on the rendering of the icons/images v.s. screen size.

If the text turns grey when I right click I will be able to rename.  If it remains solid blue I will not be able to.

Strange.  I guess until the problem is found, the workaround is to resize the window until it works right.
Comment 4 Bill C. Riemers 2011-05-25 17:33:40 EDT

*** This bug has been marked as a duplicate of bug 646900 ***
Comment 5 Bill C. Riemers 2011-05-25 17:37:00 EDT
Sorry, I didn't notice that 646900 is in GNOME's bugzilla, not Red Hat's.  So I guess for now this should remain open.  However, the severity can be dropped since there is a simple workaround.
Comment 6 Angelo Neacsu 2011-06-22 05:11:50 EDT
I have the same problem with nautilus-3.0.2-1.fc15.i686.
This is quite an old problem as i found it here  (https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/658555) for nautilus 2.32.0.
The workaround proposed there works for me.
So, change the view from Icon to List, and rename works as expected !
Comment 7 Andre Costa 2011-08-10 20:50:27 EDT
I can confirm this is happening, but only if view mode is set to "compact". In either "list" or "icon" view I am able to rename folders, either by pressing F2 or by accessing the Edit menu or the popup menu. On compact mode neither of these work.
Comment 8 Joel C Ewing 2011-08-30 19:32:44 EDT
I see the problem with nautilus-3.0.2-1.fc15 also, but in my case with the list view.  I have my defaults set for "list" and when the problem occurs I seem to be able to circumvent by changing to a different view (icon), do the rename, and then can change back.  So the problem doesn't really seem to be associated with a particular view, but when the problem occurs, changing your view to something else temporarily seems to be a way to circumvent the failure.
Comment 9 Jim Harris 2011-09-17 05:57:41 EDT
i also had this problem(only to my home folder!)
here is what i did to solve it:
1) created a new folder with right click.
2)right clicked to the folder-->properties.
3)changed the name from there (name field).
4)(i think then i logged out and logged in again).
then i could create(renamed folders)/rename a folder.
hope this would help you...
Comment 10 bugfinder 2011-09-21 09:07:35 EDT
See bug #738226 for screencasts.
Comment 11 bugfinder 2011-09-21 09:08:18 EDT
https://bugzilla.gnome.org/show_bug.cgi?id=646900#c32 says this bug is fixed in Nautilus 3.1.92
Comment 12 Fedora End Of Life 2012-08-07 14:46:24 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.